현재 온라인  

/v1/reservation/

Native v2 reservation detail, share, and review endpoints.
GET

/v1/reservation/get_detail

#
Returns a native v2 reservation payload for the acting viewer. Public-by-design: anonymous share links reveal teaser metadata only; exact reservation details require sign-in.

매개변수

이름유형필수기본값설명
listingUUID string 아니요 "" Reservation/listing UUID.
sharecode string 아니요 "" Share code from /share/{code}.
reviewMode bool 아니요 false Include reviewer context when the acting user can review this reservation.
요청 예제(cURL)
curl --get \
  'https://kr.appointmenttrader.com/v1/reservation/get_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'reviewMode={{reviewMode}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$reservation_get_detail_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payload 예
$.oneOf[0].allOf[1].Payload.oneOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].mode = "detail" 예
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys 예
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].totalinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].submittedinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].urlstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].transactionIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.oneOf[0].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].listingUUIDstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].accessobject 예
$.oneOf[0].allOf[1].Payload.oneOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].access.canViewFullboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isOwnerboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isSharedGuestboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isReviewerboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isUnlockedDetailboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].access.authorizedByShareCodeboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].access.readOnly = true 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].locationobject 예
$.oneOf[0].allOf[1].Payload.oneOf[0].location.idinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].location.namestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].location.aliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].location.addressstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].location.googleMapsURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].location.cityLinestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].location.timezonestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].location.imageURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservationobject 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.refundStatusLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.descriptorstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.inventoryNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.datestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timeLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateTimeLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.partySizeLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.checkInNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.emailstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.phonestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.detailStatementstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseSummarystring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseAmountFormattedstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.headcountinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFieldsarray 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[]object 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].idinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].labelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].descriptionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].typestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].valuestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.isPastboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].peopleobject 예
$.oneOf[0].allOf[1].Payload.oneOf[0].people.ownerAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].people.creatorAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guestsReservationGuests 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[0]array 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].shareURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].headcountinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].confirmedCountinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].pendingSlotsinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].itemsarray 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[]object 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].namestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].aliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].statusstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].lastSeenLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].reviewReservationReview 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[0]array 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].canReview = false 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].isActive = false 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].revisionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].canReview = true 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isActive = true 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].needsBeginboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isInProgressboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isSelfReviewboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardEligibleboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardPointsinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceSmallestUnitinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardFormattedstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceFormattedstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].questionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByDatestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByTimestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].legacyReviewURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].idinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].historyarray 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[]object 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].createdLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].statusstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionHTMLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].reviewerAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actionsReservationActions 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].shareURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceLocationNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceDateLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportProblemURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatV2URLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatV2URLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].absoluteShareURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAppointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAvailableboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].manageAvailableboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportInfractionAvailableboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAvailableboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferServiceobject 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.visibleboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestAvailableboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelAvailableboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isRequestedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isInTransferboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isCompletedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isFailedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.typestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.statusstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.listingUUIDstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.currentNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedGivenNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedByAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedAtstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestEndpointstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelEndpointstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellEndpointstring 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellListingIDstring 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellLocationNamestring 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellInventoryNamestring 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellDateLabelstring 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTimeLabelstring 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAppointmentIDinteger 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMinPriceinteger 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMaxPriceinteger 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRequiresReviewboolean 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRelistOriginalboolean 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffersarray 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[]object 아니요
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[1]array 예
$.oneOf[0].allOf[1].Payload.oneOf[0].copyobject 예
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.titlestring 예
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.descriptionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[1]object 예
$.oneOf[0].allOf[1].Payload.oneOf[1].mode = "teaser" 예
$.oneOf[0].allOf[1].Payload.oneOf[1].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[1].shareCodestring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].shareURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].ownerAliasstring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].locationobject 예
$.oneOf[0].allOf[1].Payload.oneOf[1].location.idinteger 예
$.oneOf[0].allOf[1].Payload.oneOf[1].location.namestring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].location.categoryDescriptionstring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].location.citystring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].location.imageURLstring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].reservationobject 예
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.descriptorstring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.partySizeLabelstring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].copyobject 예
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.titlestring 예
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.descriptionstring 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
기계가 읽을 수 있는 엔드포인트 문서
GET

/v1/reservation/get_transfer_detail

#
Returns read-only reservation details for a transfer chat participant. Requires the current buyer or assigned transfer agent and a matching transfer chat. Locked buyers receive a summary and time window, without private booking fields. Opening this view never accepts a share invitation or changes the transfer.

매개변수

이름유형필수기본값설명
transferChatID int 아니요 0 Transfer chat ID.
요청 예제(cURL)
curl --get \
  'https://kr.appointmenttrader.com/v1/reservation/get_transfer_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'transferChatID={{transferChatID}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$reservation_get_transfer_detail_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.mode = "detail" 예
$.oneOf[0].allOf[1].Payload.customerSurveys 예
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].totalinteger 예
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].submittedinteger 예
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].urlstring 예
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].transactionIDinteger 예
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.listingUUIDstring 예
$.oneOf[0].allOf[1].Payload.accessobject 예
$.oneOf[0].allOf[1].Payload.access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] 예
$.oneOf[0].allOf[1].Payload.access.canViewFullboolean 예
$.oneOf[0].allOf[1].Payload.access.isOwnerboolean 예
$.oneOf[0].allOf[1].Payload.access.isSharedGuestboolean 예
$.oneOf[0].allOf[1].Payload.access.isReviewerboolean 예
$.oneOf[0].allOf[1].Payload.access.isUnlockedDetailboolean 예
$.oneOf[0].allOf[1].Payload.access.authorizedByShareCodeboolean 예
$.oneOf[0].allOf[1].Payload.access.readOnly = true 아니요
$.oneOf[0].allOf[1].Payload.locationobject 예
$.oneOf[0].allOf[1].Payload.location.idinteger 예
$.oneOf[0].allOf[1].Payload.location.namestring 예
$.oneOf[0].allOf[1].Payload.location.aliasstring 예
$.oneOf[0].allOf[1].Payload.location.addressstring 예
$.oneOf[0].allOf[1].Payload.location.googleMapsURLstring 예
$.oneOf[0].allOf[1].Payload.location.cityLinestring 예
$.oneOf[0].allOf[1].Payload.location.timezonestring 예
$.oneOf[0].allOf[1].Payload.location.imageURLstring 예
$.oneOf[0].allOf[1].Payload.reservationobject 예
$.oneOf[0].allOf[1].Payload.reservation.refundStatusLabelstring 예
$.oneOf[0].allOf[1].Payload.reservation.descriptorstring 예
$.oneOf[0].allOf[1].Payload.reservation.inventoryNamestring 예
$.oneOf[0].allOf[1].Payload.reservation.datestring 예
$.oneOf[0].allOf[1].Payload.reservation.timestring 예
$.oneOf[0].allOf[1].Payload.reservation.dateLabelstring 예
$.oneOf[0].allOf[1].Payload.reservation.timeLabelstring 예
$.oneOf[0].allOf[1].Payload.reservation.dateTimeLabelstring 예
$.oneOf[0].allOf[1].Payload.reservation.partySizeLabelstring 예
$.oneOf[0].allOf[1].Payload.reservation.checkInNamestring 예
$.oneOf[0].allOf[1].Payload.reservation.emailstring 예
$.oneOf[0].allOf[1].Payload.reservation.phonestring 예
$.oneOf[0].allOf[1].Payload.reservation.detailStatementstring 예
$.oneOf[0].allOf[1].Payload.reservation.purchaseSummarystring 예
$.oneOf[0].allOf[1].Payload.reservation.purchaseAmountFormattedstring 예
$.oneOf[0].allOf[1].Payload.reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] 예
$.oneOf[0].allOf[1].Payload.reservation.headcountinteger 예
$.oneOf[0].allOf[1].Payload.reservation.customFieldsarray 예
$.oneOf[0].allOf[1].Payload.reservation.customFields[]object 아니요
$.oneOf[0].allOf[1].Payload.reservation.customFields[].idinteger 예
$.oneOf[0].allOf[1].Payload.reservation.customFields[].labelstring 예
$.oneOf[0].allOf[1].Payload.reservation.customFields[].descriptionstring 예
$.oneOf[0].allOf[1].Payload.reservation.customFields[].typestring 예
$.oneOf[0].allOf[1].Payload.reservation.customFields[].valuestring 예
$.oneOf[0].allOf[1].Payload.reservation.isPastboolean 예
$.oneOf[0].allOf[1].Payload.peopleobject 예
$.oneOf[0].allOf[1].Payload.people.ownerAliasstring 예
$.oneOf[0].allOf[1].Payload.people.creatorAliasstring 예
$.oneOf[0].allOf[1].Payload.guestsReservationGuests 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[0]array 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1]object 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].shareURLstring 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].headcountinteger 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].confirmedCountinteger 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].pendingSlotsinteger 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].itemsarray 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[]object 아니요
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].kindstring ["owner","shared"] 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].namestring 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].aliasstring 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].statusstring 예
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].lastSeenLabelstring 예
$.oneOf[0].allOf[1].Payload.reviewReservationReview 예
$.oneOf[0].allOf[1].Payload.review.anyOf[0]array 예
$.oneOf[0].allOf[1].Payload.review.anyOf[1]object 예
$.oneOf[0].allOf[1].Payload.review.anyOf[1].canReview = false 예
$.oneOf[0].allOf[1].Payload.review.anyOf[1].isActive = false 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2]object 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].revisionstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].canReview = true 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isActive = true 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].needsBeginboolean 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isInProgressboolean 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isSelfReviewboolean 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardEligibleboolean 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardPointsinteger 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceSmallestUnitinteger 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardFormattedstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceFormattedstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].questionstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByDatestring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByTimestring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByLabelstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].legacyReviewURLstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].idinteger 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].amountFormattedstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].discussionURLstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].historyarray 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[]object 아니요
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].createdLabelstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].statusstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionHTMLstring 예
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].reviewerAliasstring 예
$.oneOf[0].allOf[1].Payload.actionsReservationActions 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].shareURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceCheckoutURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceLocationNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceInventoryNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceDateLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceTimeLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportProblemURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatV2URLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatV2URLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].absoluteShareURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAppointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceSmallestUnitinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAvailableboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].manageAvailableboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportInfractionAvailableboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAvailableboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferServiceobject 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.visibleboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestAvailableboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelAvailableboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isRequestedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isInTransferboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isCompletedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isFailedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.typestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.statusstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.listingUUIDstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.currentNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedGivenNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedFamilyNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedByAliasstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedAtstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestEndpointstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelEndpointstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].titlestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].promptstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellEndpointstring 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellListingIDstring 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellLocationNamestring 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellInventoryNamestring 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellDateLabelstring 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTimeLabelstring 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAppointmentIDinteger 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellCurrentPriceSmallestUnitinteger 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMinPriceinteger 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMaxPriceinteger 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTransferFeeBasisPointsinteger 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRequiresReviewboolean 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSelfReviewAvailableboolean 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRelistOriginalboolean 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffersarray 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[]object 아니요
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].timeLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].priceLabelstring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].inventoryTypestring 예
$.oneOf[0].allOf[1].Payload.actions.anyOf[1]array 예
$.oneOf[0].allOf[1].Payload.copyobject 예
$.oneOf[0].allOf[1].Payload.copy.titlestring 예
$.oneOf[0].allOf[1].Payload.copy.descriptionstring 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_transfer_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/reservation/set_accept_sharecode

#
Accepts a share code for the acting signed-in user.

매개변수

이름유형필수기본값설명
sharecode string 아니요 "" Share code from /share/{code}.
incognito bool 아니요 false If true, validates the share code but does not add the acting user as a shared guest.
isWritingRequest bool 아니요 false Must be true to write the share acceptance.
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/reservation/set_accept_sharecode' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'incognito={{incognito}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$reservation_set_accept_sharecode_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.listingUUID 예
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[0]string 예
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[1] = null 예
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[2] = false 예
$.oneOf[0].allOf[1].Payload.detailURLstring 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_accept_sharecode",
    "RequestUserAlias": "example-user",
    "Payload": {
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/reservation/set_approve_review

#
Approves a native reservation review for the acting reviewer.

매개변수

이름유형필수기본값설명
listingUUID string 아니요 "" Reservation/listing UUID.
isWritingRequest bool 아니요 false Must be true to approve the review.
expectedRevision string 아니요 "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/reservation/set_approve_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$reservation_set_approve_review_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.success = true 예
$.oneOf[0].allOf[1].Payload.messagestring 예
$.oneOf[0].allOf[1].Payload.appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.pointsReceivedDatabaseNumber 예Numeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[0]number 예
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.newBalance 예
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0]DatabaseNumber 예Numeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[0]number 예
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[1]null 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_approve_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "pointsReceived": 0,
        "newBalance": 0
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/reservation/set_begin_review

#
Begins native reservation review for the acting reviewer.

매개변수

이름유형필수기본값설명
listingUUID string 아니요 "" Reservation/listing UUID.
isWritingRequest bool 아니요 false Must be true to claim the review.
expectedRevision string 아니요 "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/reservation/set_begin_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$reservation_set_begin_review_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.success = true 예
$.oneOf[0].allOf[1].Payload.messagestring 예
$.oneOf[0].allOf[1].Payload.appointmentIDinteger 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_begin_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/reservation/set_cancel_transfer_service

#
Cancels transfer service for the acting buyer's reservation, including transfer work already in progress.

매개변수

이름유형필수기본값설명
listingUUID string 아니요 "" Reservation/listing UUID.
isWritingRequest bool 아니요 false Must be true to cancel transfer service.
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/reservation/set_cancel_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$reservation_set_cancel_transfer_service_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.success = true 예
$.oneOf[0].allOf[1].Payload.messagestring 예
$.oneOf[0].allOf[1].Payload.appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.listingUUIDstring 예
$.oneOf[0].allOf[1].Payload.statusstring 예
$.oneOf[0].allOf[1].Payload.detailURLstring 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_cancel_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/reservation/set_reject_review

#
Rejects a native reservation review for the acting reviewer.

매개변수

이름유형필수기본값설명
listingUUID string 아니요 "" Reservation/listing UUID.
reason string 아니요 "" Revision reason for the seller.
respondByDate string 아니요 "" Respond-by date.
respondByTime string 아니요 "" Respond-by time.
isWritingRequest bool 아니요 false Must be true to reject the review.
expectedRevision string 아니요 "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/reservation/set_reject_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'reason={{reason}}' \
  --data-urlencode 'respondByDate={{respondByDate}}' \
  --data-urlencode 'respondByTime={{respondByTime}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$reservation_set_reject_review_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payload 예
$.oneOf[0].allOf[1].Payload.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.anyOf[0].success = true 예
$.oneOf[0].allOf[1].Payload.anyOf[0].messagestring 예
$.oneOf[0].allOf[1].Payload.anyOf[0].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.anyOf[0].revisionURLstring 예
$.oneOf[0].allOf[1].Payload.anyOf[1]object 예
$.oneOf[0].allOf[1].Payload.anyOf[1].success = true 예
$.oneOf[0].allOf[1].Payload.anyOf[1].messagestring 예
$.oneOf[0].allOf[1].Payload.anyOf[1].appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceivedDatabaseNumber 예Numeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[0]number 예
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance 예
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0]DatabaseNumber 예Numeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[0]number 예
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[1]null 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_reject_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "revisionURL": "synthetic-example"
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/reservation/set_request_transfer_service

#
Requests transfer service for the acting buyer's reservation.

매개변수

이름유형필수기본값설명
listingUUID string 아니요 "" Reservation/listing UUID.
givenName string 아니요 "" First name to put on the reservation.
familyName string 아니요 "" Last name to put on the reservation.
isWritingRequest bool 아니요 false Must be true to request the transfer.
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/reservation/set_request_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'givenName={{givenName}}' \
  --data-urlencode 'familyName={{familyName}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$reservation_set_request_transfer_service_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.success = true 예
$.oneOf[0].allOf[1].Payload.messagestring 예
$.oneOf[0].allOf[1].Payload.appointmentIDinteger 예
$.oneOf[0].allOf[1].Payload.listingUUIDstring 예
$.oneOf[0].allOf[1].Payload.status = "Transfer Requested" 예
$.oneOf[0].allOf[1].Payload.requestedNamestring 예
$.oneOf[0].allOf[1].Payload.detailURLstring 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_request_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "Transfer Requested",
        "requestedName": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
기계가 읽을 수 있는 엔드포인트 문서